# [THESAURUS SYNONYMS Y DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-y-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-y-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-y-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-y-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-y-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l y.json
    459 y.json
  
    $ du -sh y.js*
    6.9M	y.json
    516K	y.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-y-data) 📦

    npm i -S thesaurus-synonyms-y-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-y-data').loadSync()
```

    [ { key: 'yester-days',
        datetime: '2018-03-24 13:41:34',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester-days/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester years',
        datetime: '2018-03-24 13:41:34',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester%20years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester year',
        datetime: '2018-03-24 13:41:35',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester%20year/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester days',
        datetime: '2018-03-24 13:41:35',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester%20days/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yickiest',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yickiest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yickier',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yickier/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yetis',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yetis/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yeti',
        datetime: '2018-03-24 13:41:36',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0029900.ogg',
           'http://static.sfdict.com/audio/Y00/Y0029900.mp3' ],
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yeti/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yet to be decided',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yet%20to%20be%20decided/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yet be decided',
        datetime: '2018-03-24 13:41:36',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yet%20be%20decided/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yesteryear',
        datetime: '2018-03-24 13:41:37',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0029600.ogg',
           'http://static.sfdict.com/audio/Y00/Y0029600.mp3' ],
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yesteryear/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yesterday',
        datetime: '2018-03-24 13:41:37',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0028800.ogg',
           'http://static.sfdict.com/audio/Y00/Y0028800.mp3' ],
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yesterday/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester-years',
        datetime: '2018-03-24 13:41:37',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester-years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester-year',
        datetime: '2018-03-24 13:41:37',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester-year/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes manwoman',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20manwoman/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes man',
        datetime: '2018-03-24 13:41:38',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20man/women/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes man',
        datetime: '2018-03-24 13:41:39',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20man/woman/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes man women',
        datetime: '2018-03-24 13:41:39',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20man%20women/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes man woman',
        datetime: '2018-03-24 13:41:39',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20man%20woman/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes man',
        datetime: '2018-03-24 13:41:39',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes%20man/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester-day',
        datetime: '2018-03-24 13:41:34',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester-day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yes',
        datetime: '2018-03-24 13:41:39',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0027900.ogg',
           'http://static.sfdict.com/audio/Y00/Y0027900.mp3' ],
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yes/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester day&amp',
        datetime: '2018-03-24 13:41:55',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester%20day&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yesterday&amp',
        datetime: '2018-03-24 13:41:55',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yesterday&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yester-day&amp',
        datetime: '2018-03-24 13:41:55',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester-day&amp',
        data: {},
        page_url: 'http://www.thesaurus.com/list/y/1' },
      { key: 'yurts',
        datetime: '2018-03-25 03:14:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yurts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yurt',
        datetime: '2018-03-25 03:14:58',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0052200.ogg',
           'http://static.sfdict.com/audio/Y00/Y0052200.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yurt/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuppie flus',
        datetime: '2018-03-25 03:14:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuppie%20flus/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuppie flu',
        datetime: '2018-03-25 03:14:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuppie%20flu/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuppie',
        datetime: '2018-03-25 03:15:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0051700.ogg',
           'http://static.sfdict.com/audio/Y00/Y0051700.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuppie/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yup',
        datetime: '2018-03-25 03:15:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0051500.ogg',
           'http://static.sfdict.com/audio/Y00/Y0051500.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yup/1',
        data: {},
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuletides',
        datetime: '2018-03-25 03:15:05',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuletides/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuletide',
        datetime: '2018-03-25 03:15:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0050300.ogg',
           'http://static.sfdict.com/audio/Y00/Y0050300.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuletide/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yules',
        datetime: '2018-03-25 03:15:05',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yules/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yule',
        datetime: '2018-03-25 03:15:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0050200.ogg',
           'http://static.sfdict.com/audio/Y00/Y0050200.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yule/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yukata',
        datetime: '2018-03-25 03:15:07',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0049600.ogg',
           'http://static.sfdict.com/audio/Y00/Y0049600.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yukata/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yucks',
        datetime: '2018-03-25 03:15:07',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yucks/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yuck',
        datetime: '2018-03-25 03:15:08',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0048400.ogg',
           'http://static.sfdict.com/audio/Y00/Y0048400.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yuck/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yshaped',
        datetime: '2018-03-25 03:15:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yshaped/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'ys',
        datetime: '2018-03-25 03:15:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/ys/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yowlings',
        datetime: '2018-03-25 03:15:18',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yowlings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youthful offenders',
        datetime: '2018-03-25 03:15:21',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youthful%20offenders/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youthful offender',
        datetime: '2018-03-25 03:15:21',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youthful%20offender/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youth hotels',
        datetime: '2018-03-25 03:15:24',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youth%20hotels/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yukky',
        datetime: '2018-03-25 03:15:05',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0049900.ogg',
           'http://static.sfdict.com/audio/Y00/Y0049900.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yukky/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yucky',
        datetime: '2018-03-25 03:15:07',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0048600.ogg',
           'http://static.sfdict.com/audio/Y00/Y0048600.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yucky/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yukkier',
        datetime: '2018-03-25 03:15:06',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yukkier/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yukkiest',
        datetime: '2018-03-25 03:15:06',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yukkiest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yoyo',
        datetime: '2018-03-25 03:15:14',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yoyo/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yoyoed',
        datetime: '2018-03-25 03:15:12',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yoyoed/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yoyoing',
        datetime: '2018-03-25 03:15:11',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yoyoing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yoyos',
        datetime: '2018-03-25 03:15:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yoyos/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youthfulness',
        datetime: '2018-03-25 03:15:20',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youthfulness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youthfulnesses',
        datetime: '2018-03-25 03:15:19',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youthfulnesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yummy',
        datetime: '2018-03-25 03:15:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0050700.ogg',
           'http://static.sfdict.com/audio/Y00/Y0050700.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yummy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yowl',
        datetime: '2018-03-25 03:15:18',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0045200.ogg',
           'http://static.sfdict.com/audio/Y00/Y0045200.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yowl/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youth hotel',
        datetime: '2018-03-25 03:15:57',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youth%20hotel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youth hostels',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youth%20hostels/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youth hostel',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youth%20hostel/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yous are welcome',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yous%20are%20welcome/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yoursest',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yoursest/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yourser',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yourser/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yourself',
        datetime: '2018-03-25 03:15:58',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0043700.ogg',
           'http://static.sfdict.com/audio/Y00/Y0043700.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yourself/1',
        data:
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.' },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yours truly',
        datetime: '2018-03-25 03:15:58',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yours%20truly/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'yours',
        datetime: '2018-03-25 03:15:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0043600.ogg',
           'http://static.sfdict.com/audio/Y00/Y0043600.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yours/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youre welcome',
        datetime: '2018-03-25 03:15:59',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youre%20welcome/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youre on',
        datetime: '2018-03-25 03:15:59',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youre%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'your honors',
        datetime: '2018-03-25 03:15:59',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/your%20honors/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'your honor',
        datetime: '2018-03-25 03:16:00',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/your%20honor/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'your basic',
        datetime: '2018-03-25 03:16:00',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/your%20basic/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'your',
        datetime: '2018-03-25 03:16:00',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0043300.ogg',
           'http://static.sfdict.com/audio/Y00/Y0043300.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/your/1',
        data:
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.' },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youngnesses',
        datetime: '2018-03-25 03:16:00',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youngnesses/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youngness',
        datetime: '2018-03-25 03:16:01',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youngness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youthful',
        datetime: '2018-03-25 03:15:24',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0044800.ogg',
           'http://static.sfdict.com/audio/Y00/Y0044800.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youthful/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'younglings',
        datetime: '2018-03-25 03:16:01',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/younglings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youngling',
        datetime: '2018-03-25 03:16:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0042800.ogg',
           'http://static.sfdict.com/audio/Y00/Y0042800.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youngling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'younger days',
        datetime: '2018-03-25 03:16:03',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/younger%20days/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'younger day',
        datetime: '2018-03-25 03:16:03',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/younger%20day/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young-turk',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young-turk/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young-adult',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young-adult/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young women',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20women/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young woman',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20woman/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young turk',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20turk/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young persons',
        datetime: '2018-03-25 03:16:04',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20persons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young person',
        datetime: '2018-03-25 03:16:05',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20person/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young people',
        datetime: '2018-03-25 03:16:05',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20people/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young ones',
        datetime: '2018-03-25 03:16:05',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20ones/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'youths',
        datetime: '2018-03-25 03:15:19',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/youths/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young one',
        datetime: '2018-03-25 03:16:07',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/Y00/Y0042900.ogg',
           'http://static.sfdict.com/audio/Y00/Y0042900.mp3' ],
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20one/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young olds',
        datetime: '2018-03-25 03:16:07',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20olds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young old',
        datetime: '2018-03-25 03:16:07',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20old/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young offenders',
        datetime: '2018-03-25 03:16:07',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20offenders/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young offender',
        datetime: '2018-03-25 03:16:08',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20offender/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young men',
        datetime: '2018-03-25 03:16:08',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20men/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young manhoods',
        datetime: '2018-03-25 03:16:08',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20manhoods/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young manhood',
        datetime: '2018-03-25 03:16:08',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20manhood/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young man',
        datetime: '2018-03-25 03:16:08',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20man/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young loves',
        datetime: '2018-03-25 03:16:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20loves/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young love',
        datetime: '2018-03-25 03:16:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20love/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      { key: 'young lady',
        datetime: '2018-03-25 03:16:09',
        page_number: 2,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/young%20lady/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/2' },
      ... 359 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-y-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'yester years'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-y-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('yester years');
```

    { key: 'yester years',
        datetime: '2018-03-24 13:41:34',
        page_number: 1,
        letter: 'y',
        word_url: 'http://www.thesaurus.com/browse/yester%20years/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/y/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-y-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('yester years', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'noun', words: [Array], ttl: 'time elapsed' },
         { txt: 'noun', words: [Array], ttl: 'past events, experiences' },
         { txt: 'noun', words: [Array], ttl: 'time gone by' },
         { txt: 'noun',
           words: [Array],
           ttl: 'times of old considered better than present' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/yesteryear',
           text: 'yesteryear',
           words: [Array],
           def: 'noun. time elapsed' },
         { url: 'http://www.thesaurus.com/browse/history',
           text: 'history',
           words: [Array],
           def: 'noun. past events, experiences' },
         { url: 'http://www.thesaurus.com/browse/past',
           text: 'past',
           words: [Array],
           def: 'noun. time gone by' },
         { url: 'http://www.thesaurus.com/browse/good%20old%20days',
           text: 'good old days',
           words: [Array],
           def: 'noun. times of old considered better than present' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - yacht clubs

```json
{
  "key": "yacht clubs",
  "datetime": "2018-03-28 09:30:20",
  "page_number": 1,
  "letter": "y",
  "word_url": "http://www.thesaurus.com/browse/yacht%20clubs/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 3,
            "url": "http://www.thesaurus.com/browse/lodge",
            "text": "lodge",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/club",
            "text": "club",
            "length": 1,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/tennis%20club",
            "text": "tennis club",
            "length": 3,
            "complexity": 3,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/yacht%20club",
            "text": "yacht club",
            "length": 3,
            "complexity": 3,
            "id": 4
          }
        ],
        "ttl": "sports and social club"
      }
    ],
    "citation": "Roget's 21st Century Thesaurus, Third Edition Copyright \\u00a9 2013 by the Philip Lief Group.",
    "related": [
      {
        "url": "http://www.thesaurus.com/browse/country%20club",
        "text": "country club",
        "words": [
          {
            "url": "http://www.thesaurus.com/browse/club",
            "word": "club"
          },
          {
            "url": "http://www.thesaurus.com/browse/lodge",
            "word": "lodge"
          },
          {
            "url": "http://www.thesaurus.com/browse/tennis%20club",
            "word": "tennis club"
          },
          {
            "url": "http://www.thesaurus.com/browse/yacht%20club",
            "word": "yacht club"
          }
        ],
        "def": "noun. sports and social club"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/y/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
